DCS更新、安装、修复时出错

主页 > 支持 > 技术问题 > 游戏问题、崩溃 > DCS更新、安装、修复时出错

DCS更新、安装、修复时出错

错误:版本Version 2.5.X.*****不可用。

如果出现错误:安装或修复/更新期间版本2.5.x.****不可用,在大多数情况下,这意味着您使用的是旧版本的DCS_updater.exe文件。

此文件应在每次发布时自动更新。但是一些安全软件可以阻止(取消)更新过程。
因此,文件不会更新,也不知道新的DCS版本或修补程序。

要解决错误,您需要下载最新的DCS_updater_64bit.zip

这个文件可以在网站上找到http://updates.digitalcombatsimulator.com/

您需要将文件DCS_updater_64bit.zip解压缩到任何临时文件夹,并将DCS_updater.exe复制(替换)到“bin”文件夹中
..\Eagle Dynamics\DCS World\bin\ 或
..\Eagle Dynamics\DCS World OpenBeta\bin\

然后,运行DCS World游戏,重复安装、修复、更新的过程。

错误:无法复制或移动文件dcs.exe / DCS_updater.exe

DCS World根目录下的autoupdate_log.txt里可能的错误:

进程无法访问文件,因为另一个进程正在使用它。

例如运行更新后得到下列错误:
can't move Disk:\dcs world\_downloads\bin/dcs.exe to Disk:\dcs world 2 openalpha\bin/dcs.exe (183) cannot create a file when that file already exists.
点击错误的OK后得到下列错误:
can't run Disk:\dcs world\bin/dcs.exe (2) the system cannot find the file specified.

可能由于DCS直接捕捉键盘按键而不是使用Windows标准API/处理。某些杀毒软件可能认为此为不友好行为。

推荐关闭电脑上的杀毒和安全监控软件(例如360等)

检查硬盘空间和DCS World文件夹的管理权限

然后再次启动DCS World更新或修复